unit _uc_GuiLanG;

interface

 uses sysutils,inifiles;

 procedure GoLoadUserGuiLanguageIniFile;

Const

 _LANGUAGE__xLANG_FILE      = 'ExoSee.xLn';
 _LANGUAGE_INFO_SECTION     = 'LANG_INFO_SECTION';
 _LANGUAGE_MESSAGES_SECTION = 'LANG_MSSGS_SECTION';
 _LANGUAGE_CONTOLS_SECTION  = 'LANG_CTRLS_SECTION';


Var

 ___ccc__0001__Online                : string = 'Online';
 ___ccc__0002__Away                  : string = 'Away';
 ___ccc__0003__Chat                  : string = 'Chat';
 ___ccc__0004__FileSend              : string = 'File-Send';
 ___ccc__0005__ChatWith              : string = 'Chat with : ';
 ___ccc__0006__SendFileTo            : string = 'Send a file to : ';
 ___ccc__0007__Country               : string = 'Country : ';
 ___ccc__0008__Connected             : string = 'Connected';
 ___ccc__0009__Disconnected          : string = 'Disconnected';
 ___ccc__0010__AutoReplySentTo       : string = 'AUTO-REPLY MESSAGE is sent to [%s]';
 ___ccc__0011__Error                 : string = 'Error';
 ___ccc__0012__NoAccess              : string = 'NO ACCESS !';
 ___ccc__0013__Stopped               : string = 'Stopped';
 ___ccc__0014__Queued                : string = 'Queued ...';
 ___ccc__0015__Completed             : string = 'Completed';
 ___ccc__0016__DLCompleted           : string = 'DOWNLOAD COMPLETED';
 ___ccc__0017__UploadCompletedTo     : string = 'Upload completed. File: "%s" to user: %s';
 ___ccc__0018__Aborted               : string = 'Aborted';
 ___ccc__0019__Canceled              : string = 'Canceled';
 ___ccc__0020__Resume                : string = 'Resume ...';
 ___ccc__0021__Open                  : string = 'Open';
 ___ccc__0022__Download              : string = 'Download';
 ___ccc__0023__Explore               : string = 'Explore';
 ___ccc__0024__SureWantStopCom       : string = 'Are you sure want to STOP the community : %s ?';
 ___ccc__0025__AutoReplyMsg          : string = 'AUTO-REPLY MESSAGE';
 ___ccc__0026__SetPersonalMsq        : string = 'Set a personnal auto-response';
 ___ccc__0027__Applications          : string = 'Applications';
 ___ccc__0028__Audio                 : string = 'Audio';
 ___ccc__0029__Video                 : string = 'Video';
 ___ccc__0030__Others                : string = 'Others ...';
 ___ccc__0031__Favorites             : string = 'Favorites';
 ___ccc__0032__Communities           : string = 'Communities';
 ___ccc__0033__UpdateFolder          : string = 'Update folder';
 ___ccc__0034__ChatWith              : string = 'Chat with [%s]';
 ___ccc__0035__AddToFav              : string = 'Add [%s] to Favorites';
 ___ccc__0036__SendFileTo            : string = 'Send a file to [%s]';
 ___ccc__0037__SendFolder            : string = 'Send a folder to [%s]';
 ___ccc__0038__BanUser               : string = 'Ban [%s]';
 ___ccc__0039__DelFromFav            : string = 'Remove [%s] from Favorites';
 ___ccc__0040__Administrator         : string = 'Administrator';
 ___ccc__0041__Moderator             : string = 'Moderator';
 ___ccc__0042__BanFromCom            : string = 'BAN [%s] from the community';
 ___ccc__0043__StopCom               : string = 'STOP community';
 ___ccc__0044__ComProps              : string = 'Community properties ...';
 ___ccc__0045__Connecting            : string = 'Connecting ...';
 ___ccc__0046__CheckPubFolder        : string = 'The public shared folder [%s] is INVALID! CHECK SETTINGS !';
 ___ccc__0046__CheckPrivFolder       : string = 'The private shared folder [%s] is INVALID! CHECK SETTINGS !';
 ___ccc__0048__SelectPrivFolder      : string = 'Select a private folder';
 ___ccc__0049__SelectPubFolder       : string = 'Select a public folder';
 ___ccc__0050__SelectDownloadsFolder : string = 'Select local downloads folder';
 ___ccc__0051__Offline               : string = 'Offline';
 ___ccc__0052__SelectXtraFolder      : string = 'Select an Xtra folder';
 ___ccc__0053__AccessDenied          : string = 'ACCESS DENIED !!! ';
 ___ccc__0054__InvalidPassToAccess   : string = 'Invalid password to access : ';
 ___ccc__0055__EnterComAndSetPass    : string = 'Enter the community properties and set a valid password !';
 ___ccc__0056__Banned                : string = 'BANNED !!!';
 ___ccc__0057__ComBannedYou          : string = 'Sorry, the following Community has banned you :';
 ___ccc__0058__Started               : string = 'STARTED';
 ___ccc__0059__ComOffline            : string = 'Community OFFLINE';
 ___ccc__0060__ProcessingXitems      : string = 'Processing %d items...';
 ___ccc__0061__FolderNoExist         : string = 'Folder no longer exists';
 ___ccc__0062__XfolderXfiles         : string = '%d Folders | %d Files';
 ___ccc__0063__AddCom                : string = 'Add an ExoSee community';
 ___ccc__0064__InvalidComURL         : string = 'INVALID COMMUNITY URL !';
 ___ccc__0065__SureToDelSelCom       : string = 'Are you sure want to delete the selected community ?';
 ___ccc__0066__ComsUpdateOk          : string = 'Communities update ok.';
 ___ccc__0067__Properties            : string = 'Properties';
 ___ccc__0068__ConnectedTo           : string = 'Connected to : ';
 ___ccc__0069__AutoMsgFrom           : string = 'AUTO-REPLY MESSAGE from [%s] :';
 ___ccc__0070__Waiting4permission    : string = 'Waiting for user permission ...';
 ___ccc__0071__Uploading             : string = 'Uploading...';
 ___ccc__0072__Close                 : string = 'Close';
 ___ccc__0073__FileAutoDeniedFrom    : string = 'File auto-denied : "%s" from [%s]';
 ___ccc__0074__ComDisabledXoc        : string = 'has disabled "Add XOC" feature';
 ___ccc__0075__OnlyMemebersCanAdd    : string = 'Only members of this community can add XOC-Links info to their database.';
 ___ccc__0076__SeeComRules           : string = 'See the community RULES for more informations.';
 ___ccc__0077__ConnexAreadyInUse     : string = 'An existing connection is already in use ...';
 ___ccc__0078__ReceivingData         : string = 'Receiving data ...';
 ___ccc__0079__ConnectionError       : string = 'Connection error!';
 ___ccc__0080__CheckYourInternet     : string = 'Please check your Internet connection and try again.';
 ___ccc__0081__XocDeleted            : string = 'XOC-Link record DELETED !';
 ___ccc__0082__3CharsAtMinimum       : string = 'Keyword must have at least 3 characters !';
 ___ccc__0083__ComDisabledDL         : string = 'has disabled "Download" feature';
 ___ccc__0084__OnlyMemebersCanDL     : string = 'Only members of this community can download via XOC-Links.';
 ___ccc__0085__SorryXocIsPrivate     : string = 'Sorry! Private XOC-Link';
 ___ccc__0086__OnlyMembersHasAccess  : string = 'Only the community members have access !';
 ___ccc__0087__SureToDelXoc          : string = 'Are you sure want to delete the selected XOC-Link from your database ?';
 ___ccc__0088__InvalidXoc            : string = 'INVALID XOC-LINK !';
 ___ccc__0089__SorryPrivateDL        : string = 'Sorry! Private download';
 ___ccc__0090__Connecting2FileServer : string = 'Connecting to file location server ...';
 ___ccc__0091__ConnectOkInitalization: string = 'Connection Ok. Initialization ...';
 ___ccc__0092__Downloading           : string = 'Downloading ...';
 ___ccc__0093__DownloadAborted       : string = 'Download aborted.';
 ___ccc__0094__DownloadCompleted     : string = 'Download completed !';
 ___ccc__0095__GeneratedXOCLinks     : string = 'GENERATED XOC-Links :';
 ___ccc__0096__GeneratedHtmlXOCLinks : string = 'GENERATED HTML-XOC-Links :';
 ___ccc__0097__XocInfoAddedOk        : string = 'XOC-Link info added successfully !';
 ___ccc__0098__OffLineFromCom        : string = 'OffLine from : ';
 ___ccc__0099__RemoteXtraNotSet      : string = 'Remote user Xtra-folder not Set !';
 ___ccc__0100__UserOnlineAtCom       : string = '%s : Online. @Community: %s';
 ___ccc__0101__BannedRejected        : string = 'BANNED USER REJECTED! : %s';
 ___ccc__0102__LanUserRejected       : string = 'LAN-USER REJECTED : %s';
 ___ccc__0103__XtraFolder4UserNotSet : string = 'The Xtra folder for user [%s] is INVALID! CHECK SETTINGS !';
 ___ccc__0104__XtraFolderNotAllowed4 : string = 'XTRA FOLDER NOT ALLOWED FOR USER : ';
 ___ccc__0105__FileAutoAccepted      : string = 'File "%s", auto-accepted and downloaded from : %s.';
 ___ccc__0106__ThanksToUsingExoSee   : string = 'Thank you, %s, for using ExoSee !';
 ___ccc__0107__OpenThisFolder        : string = 'Open this folder';
 ___ccc__0108__SureWantToBan         : string = 'Are you sure want to ban [%s] from the community?';
 ___ccc__0109__BanOkAtCom            : string = '[%s] is now banned from the community, next time he/she won''t be able to enter';
 ___ccc__0110__SureWantToBanUser     : string = 'Are you sure want to ban [%s]';
 //---till 0200 !!






//--------------------------CONTTOLS----------------------------------------------------

//----------------------MenusItems----------------------------
 ___ccc__0400__Start                 : string = 'Start ...';
 ___ccc__0401__Settings              : string = 'Settings ...';
 ___ccc__0402__OpenMyDlFolder        : string = 'Open my downloads folder';
 ___ccc__0403__MyOnlineStatus        : string = 'My online status';
 ___ccc__0404__Cancel                : string = 'Cancel';
 ___ccc__0405__Stop                  : string = 'Stop';
 ___ccc__0406__SetAwayMsg            : string = 'Set AUTO-REPLY MESSAGE';
 ___ccc__0407__Tools                 : string = 'Tools';
 ___ccc__0408__Help                  : string = 'Help';
 ___ccc__0409__OnlineHelp            : string = 'Online help';
 ___ccc__0410__ExoSeeHomepage        : string = 'ExoSee homepage';
 ___ccc__0411__XOChomepage           : string = 'XOC homepage';
 ___ccc__0412__SupportForum          : string = 'Support forum';
 ___ccc__0413__About                 : string = 'About ...';
 ___ccc__0414__Exit                  : string = 'Exit';
 ___ccc__0415__Resume                : string = 'Resume';
 ___ccc__0416__XocInfo               : string = 'XOC-Link info ...';
 ___ccc__0417__DelComXOC             : string = 'Delete selected XOC';
 ___ccc__0418__GenerateXOCLinks      : string = 'Generate HTML-XOC-Links';
 ___ccc__0419__All                   : string = 'All';
 ___ccc__0420__OpenComIE             : string = 'Open community homepage in the default browser';
 ___ccc__0421__CloseWeb              : string = 'Close community web tab';
 ___ccc__0422__IconsHelp             : string = 'ExoSee icons help';


 //   till 0499


//----------------------TControls----------------------------
 ___ccc__0500__File                  : string = 'File';
 ___ccc__0501__Explorer              : string = 'Explorer';
 ___ccc__0502__Traffic               : string = 'Traffic';
 ___ccc__0503__ComsOnline            : string = 'Web : Communities online';
 ___ccc__0504__Log                   : string = 'Log';
 ___ccc__0505__RULES                 : string = 'RULES';
 ___ccc__0506__DesAddCom             : string = 'Add an ExoSee community to the list';
 ___ccc__0507__DesDelCom             : string = 'Delete the selected community from the list';
 ___ccc__0508__DesComProps           : string = 'Properties of the selected community ...';
 ___ccc__0509__DesPubComs            : string = 'Add new ExoSee public communities to the list';
//--------------------------------------------columns_and_specials
 ___ccc__0510__FolderAndFilename     : string = 'Folder/Filename';
 ___ccc__0511__Size                  : string = 'Size';
 ___ccc__0512__Filename              : string = 'Filename';
 ___ccc__0513__ReadAndSent           : string = 'Read/Sent';
 ___ccc__0514__Speed                 : string = 'Speed';
 ___ccc__0515__User                  : string = 'User';
 ___ccc__0516__Status                : string = 'Status';

 ___ccc__0517__General               : string = 'General';
 ___ccc__0518__UserInfo              : string = 'User info';
 ___ccc__0519__SharedFolders         : string = 'Shared folders';
 ___ccc__0520__PrivateFolders        : string = 'Private folders';
 ___ccc__0521__FavoritesOptions      : string = 'Favorites options';
 ___ccc__0522__XOCdbLinks            : string = 'XOC db/Links';
 ___ccc__0523__FavNickname           : string = 'Favorite user nickname';
 ___ccc__0524__Category              : string = 'Category';

 ___ccc__0525__Home                  : string = 'Home';
 ___ccc__0526__Web                   : string = 'Web';
 ___ccc__0527__Forum                 : string = 'Forum';
 ___ccc__0528__ChatBox               : string = 'ChatBox';
 ___ccc__0529__AutoAddComs           : string = 'Auto-add new public communities in Start list';
 //--------------------------------------------columns_end
 ___ccc__0530__NewVersionAvailable   : string = 'A new version of ExoSee is available';
 ___ccc__0531__WelcomeToExoSee       : string = 'Welcome to ExoSee !';
 ___ccc__0532__NicknameChars         : string = 'Nickname :  (2-16 characters)';
 ___ccc__0533__SetUpShareFolder      : string = 'Browse a folder to share ( you can add more folders later in settings )';
 ___ccc__0534__Save                  : string = 'Save';
 ___ccc__0535__PersonalMessage       : string = 'Personal message :';
 ___ccc__0536__MsgWhenNotOnline4Chat : string = 'Message when online status is "Away" (Chat auto-reply) :';
 ___ccc__0537__Remove                : string = 'Remove';
 ___ccc__0538__AddFolder             : string = 'Add folder';
 ___ccc__0539__LocalSharedFolders    : string = 'Local shared folders :';
 ___ccc__0540__PubFoldersDescription : string = 'Local shared folders to be viewed by users of the same communities you started';
 ___ccc__0541__MaxTotalUploads       : string = 'max total uploads :';
 ___ccc__0542__LocalPrivFolders      : string = 'Local private folders :';
 ___ccc__0543__PrivFoldersDescription: string = 'Here you can set private-folders for favorite-users. These folders are viewed ONLY for users whom you set the access-option.';
 ___ccc__0544__XtraFoldersDescription: string = 'Favorites users options to access local private and Xtra folders';
 ___ccc__0545__CanAccessPrivs        : string = 'Can access my private folders';
 ___ccc__0546__CanSendNoConfirm      : string = 'Can send me files/folders without my confirmation';
 ___ccc__0547__HasXtraFolder         : string = 'Has an Xtra folder';
 ___ccc__0548__XtraFolder            : string = 'Xtra folder :';
 ___ccc__0549__ExoSeeSettings        : string = 'ExoSee settings';
 ___ccc__0550__EnableWebXOCLinks     : string = 'Enable web XOC-Links';
 ___ccc__0551__BehindRouter          : string = 'Behind a Router/NAT';
 ___ccc__0552__AutoRejectLans        : string = 'Auto-reject LAN users';
 ___ccc__0553__ExpandSubFolders      : string = 'Auto-expand subfolders in explorer';
 ___ccc__0554__MyDlFolder            : string = 'My local downloads folder :';
 ___ccc__0555__ComsStart             : string = 'ExoSee communities start';
 ___ccc__0556__AddCom                : string = 'Add community ...';
 ___ccc__0557__DelCom                : string = 'Delete selected';
 ___ccc__0558__Add                   : string = 'Add';
 ___ccc__0559__UpdateList            : string = 'Update list';
 ___ccc__0560__Start                 : string = 'Start';
 ___ccc__0561__Search                : string = 'Search';
 ___ccc__0562__Browse                : string = 'Browse';
 ___ccc__0563__AddXOC                : string = 'Add XOC';
 ___ccc__0564__Welcome1              : string = 'Welcome :';
 ___ccc__0565__ComLinks              : string = '%s related links :';
 ___ccc__0566__DbRecords             : string = 'db records :';
 ___ccc__0567__Cancel                : string = 'Cancel';
 ___ccc__0568__AddXocInfoToCom       : string = 'Add XOC-Link info to %s database';
 ___ccc__0569__FileDownload          : string = 'File-Download';
 ___ccc__0570__Filename2             : string = 'Filename : ';
 ___ccc__0571__Size2                 : string = 'Size : ';
 ___ccc__0572__Category2             : string = 'Category : ';
 ___ccc__0573__Description2          : string = 'Description : ';
 ___ccc__0574__FileHttpURL           : string = 'File http URL : ';
 ___ccc__0575__AddMyNick             : string = 'Add my nickname';
 ___ccc__0576__Sent2                 : string = 'Sent :';
 ___ccc__0577__Read2                 : string = 'Read :';
 ___ccc__0578__Speed                 : string = 'Speed';
 ___ccc__0579__TimeLeft2             : string = 'Time left :';
 ___ccc__0580__Progress2             : string = 'Progress :';
 ___ccc__0581__RunFile               : string = 'Run file';
 ___ccc__0582__OpenFolder            : string = 'Open folder';
 ___ccc__0583__FileSendTo            : string = 'File-Send to : ';
 ___ccc__0584__FileDownloadFrom      : string = 'File-Download from : ';
 ___ccc__0585__From2                 : string = 'From :';
 ___ccc__0586__DoYouAccept2          : string = 'Do you accept downloading :';
 ___ccc__0587__Accept                : string = 'Accept';
 ___ccc__0588__Deny                  : string = 'Deny';
 ___ccc__0589__AutoDenyAfter         : string = 'Auto-deny after :';
 ___ccc__0590__Rules2                : string = 'Rules :';
 ___ccc__0591__LoginPassword2        : string = 'Login password :';
 ___ccc__0592__AllowComWeb           : string = 'Allow community homepage in web tab';
 ___ccc__0593__AddedOn2              : string = 'Added on :';
 ___ccc__0594__AddedBy2              : string = 'Added by :';
 ___ccc__0595__XOCLink2              : string = 'XOC-Link :';
 ___ccc__0596__Download2             : string = 'Download !';
 ___ccc__0597__AddBR                 : string = 'Add line break </BR>';
 ___ccc__0598__AddDescTitle          : string = 'Add description in link title';
 ___ccc__0599__Generate              : string = 'Generate';
 ___ccc__0600__XOCDownloader         : string = 'XOC-Downloader';
 ___ccc__0601__ContentType2          : string = 'Content-type :';
 ___ccc__0602__ServerName2           : string = 'Server name :';
 ___ccc__0603__DownloadFolder2       : string = 'Download folder :';
 ___ccc__0604__Percent2              : string = 'Percent :';
 ___ccc__0605__XOCDownload           : string = 'XOC-Link download';
 ___ccc__0606__DLsULs                : string = 'Downloads/Uploads';
 ___ccc__0607__CompletedDLs          : string = 'Completed downloads';
 ___ccc__0608__Des_Xoc1              : string = 'XOC is the ExoSee protocole to handle files located on the Web.';
 ___ccc__0609__Des_Xoc2              : string = 'XOC-Link is a link that has informations about an existing file on Internet.';
 ___ccc__0610__Des_Xoc3              : string = 'Community XOC-DB hosts no files! instead it has XOC-Links which are provided by its users';
 ___ccc__0611__Des_Xoc4              : string = 'For more informations, see www.xoc.exosee.com';
 ___ccc__0612__NewVersNotify         : string = 'Notify me if a new version of ExoSee is available';
 ___ccc__0613__ChooseIcon            : string = 'Click to choose your personalized icon';
 ___ccc__0614__MaxComs               : string = '%d communities maximum to start';

 ___ccc__0615__IconHLP_0               : string = 'User is offline';
 ___ccc__0616__IconHLP_1               : string = 'User is behind a local area network LAN (have to set his/her Router settings)';
 ___ccc__0617__IconHLP_2               : string = 'Online user is WAN/Ok ( if Router/Firewall allowed ExoSee)';
 ___ccc__0618__IconHLP_3               : string = 'User is administrator of the community';
 ___ccc__0619__IconHLP_4               : string = 'User is moderator of the community';
 ___ccc__0620__IconHLP_5               : string = 'User is from same local network as you';
 ___ccc__0621__IconHLP_6               : string = 'Downloading ...';
 ___ccc__0622__IconHLP_7               : string = 'Queued...';
 ___ccc__0623__IconHLP_8               : string = 'Uploading ...';
 ___ccc__0624__IconHLP_9               : string = 'Shared public folder';
 ___ccc__0625__IconHLP_10              : string = 'Private folder (shared only for favorite users)';
 ___ccc__0626__IconHLP_11              : string = 'Xtra folder (a private folder for a favorite user)';














//til_0700..




implementation

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
procedure GoLoadUserGuiLanguageIniFile;
var
ini:TIniFile;
begin

// each var has a default value of itself ! ( the english version )



ini:=TIniFile.Create(ExtractFilePath(ParamStr(0))+_LANGUAGE__xLANG_FILE);   // xLanguage
try

//-----------------------Messages---------------------------
___ccc__0001__Online                  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0001',___ccc__0001__Online);
___ccc__0002__Away                    :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0002',___ccc__0002__Away);
___ccc__0003__Chat                    :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0003',___ccc__0003__Chat);
___ccc__0004__FileSend                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0004',___ccc__0004__FileSend);
___ccc__0005__ChatWith                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0005',___ccc__0005__ChatWith);
___ccc__0006__SendFileTo              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0006',___ccc__0006__SendFileTo);
___ccc__0007__Country                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0007',___ccc__0007__Country);
___ccc__0008__Connected               :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0008',___ccc__0008__Connected);
___ccc__0009__Disconnected            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0009',___ccc__0009__Disconnected);
___ccc__0010__AutoReplySentTo         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0010',___ccc__0010__AutoReplySentTo);
___ccc__0011__Error                   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0011',___ccc__0011__Error);
___ccc__0012__NoAccess                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0012',___ccc__0012__NoAccess);
___ccc__0013__Stopped                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0013',___ccc__0013__Stopped);
___ccc__0014__Queued                  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0014',___ccc__0014__Queued);
___ccc__0015__Completed               :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0015',___ccc__0015__Completed);
___ccc__0016__DLCompleted             :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0016',___ccc__0016__DLCompleted);
___ccc__0017__UploadCompletedTo       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0017',___ccc__0017__UploadCompletedTo);
___ccc__0018__Aborted                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0018',___ccc__0018__Aborted);
___ccc__0019__Canceled                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0019',___ccc__0019__Canceled);
___ccc__0020__Resume                  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0020',___ccc__0020__Resume);
___ccc__0021__Open                    :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0021',___ccc__0021__Open);
___ccc__0022__Download                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0022',___ccc__0022__Download);
___ccc__0023__Explore                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0023',___ccc__0023__Explore);
___ccc__0024__SureWantStopCom         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0024',___ccc__0024__SureWantStopCom);
___ccc__0025__AutoReplyMsg            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0025',___ccc__0025__AutoReplyMsg);
___ccc__0026__SetPersonalMsq          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0026',___ccc__0026__SetPersonalMsq);
___ccc__0027__Applications            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0027',___ccc__0027__Applications);
___ccc__0028__Audio                   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0028',___ccc__0028__Audio);
___ccc__0029__Video                   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0029',___ccc__0029__Video);
___ccc__0030__Others                  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0030',___ccc__0030__Others);
___ccc__0031__Favorites               :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0031',___ccc__0031__Favorites);
___ccc__0032__Communities             :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0032',___ccc__0032__Communities);
___ccc__0033__UpdateFolder            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0033',___ccc__0033__UpdateFolder);
___ccc__0034__ChatWith                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0034',___ccc__0034__ChatWith);
___ccc__0035__AddToFav                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0035',___ccc__0035__AddToFav);
___ccc__0036__SendFileTo              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0036',___ccc__0036__SendFileTo);
___ccc__0037__SendFolder              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0037',___ccc__0037__SendFolder);
___ccc__0038__BanUser                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0038',___ccc__0038__BanUser);
___ccc__0039__DelFromFav              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0039',___ccc__0039__DelFromFav);
___ccc__0040__Administrator           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0040',___ccc__0040__Administrator);
___ccc__0041__Moderator               :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0041',___ccc__0041__Moderator);
___ccc__0042__BanFromCom              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0042',___ccc__0042__BanFromCom);
___ccc__0043__StopCom                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0043',___ccc__0043__StopCom);
___ccc__0044__ComProps                :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0044',___ccc__0044__ComProps);
___ccc__0045__Connecting              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0045',___ccc__0045__Connecting);
___ccc__0046__CheckPubFolder          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0046',___ccc__0046__CheckPubFolder);
___ccc__0046__CheckPrivFolder         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0047',___ccc__0046__CheckPrivFolder);
___ccc__0048__SelectPrivFolder        :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0048',___ccc__0048__SelectPrivFolder);
___ccc__0049__SelectPubFolder         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0049',___ccc__0049__SelectPubFolder);
___ccc__0050__SelectDownloadsFolder   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0050',___ccc__0050__SelectDownloadsFolder);
___ccc__0051__Offline                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0051',___ccc__0051__Offline);
___ccc__0052__SelectXtraFolder        :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0052',___ccc__0052__SelectXtraFolder);
___ccc__0053__AccessDenied            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0053',___ccc__0053__AccessDenied);
___ccc__0054__InvalidPassToAccess     :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0054',___ccc__0054__InvalidPassToAccess);
___ccc__0055__EnterComAndSetPass      :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0055',___ccc__0055__EnterComAndSetPass);
___ccc__0056__Banned                  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0056',___ccc__0056__Banned);
___ccc__0057__ComBannedYou            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0057',___ccc__0057__ComBannedYou);
___ccc__0058__Started                 :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0058',___ccc__0058__Started);
___ccc__0059__ComOffline              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0059',___ccc__0059__ComOffline);
___ccc__0060__ProcessingXitems        :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0060',___ccc__0060__ProcessingXitems);
___ccc__0061__FolderNoExist           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0061',___ccc__0061__FolderNoExist);
___ccc__0062__XfolderXfiles           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0062',___ccc__0062__XfolderXfiles);
___ccc__0063__AddCom                  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0063',___ccc__0063__AddCom);
___ccc__0064__InvalidComURL           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0064',___ccc__0064__InvalidComURL);
___ccc__0065__SureToDelSelCom         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0065',___ccc__0065__SureToDelSelCom);
___ccc__0066__ComsUpdateOk            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0066',___ccc__0066__ComsUpdateOk);
___ccc__0067__Properties              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0067',___ccc__0067__Properties);
___ccc__0068__ConnectedTo             :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0068',___ccc__0068__ConnectedTo);
___ccc__0069__AutoMsgFrom             :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0069',___ccc__0069__AutoMsgFrom);
___ccc__0070__Waiting4permission      :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0070',___ccc__0070__Waiting4permission);
___ccc__0071__Uploading               :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0071',___ccc__0071__Uploading);
___ccc__0072__Close                   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0072',___ccc__0072__Close);
___ccc__0073__FileAutoDeniedFrom      :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0073',___ccc__0073__FileAutoDeniedFrom);
___ccc__0074__ComDisabledXoc          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0074',___ccc__0074__ComDisabledXoc);
___ccc__0075__OnlyMemebersCanAdd      :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0075',___ccc__0075__OnlyMemebersCanAdd);
___ccc__0076__SeeComRules             :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0076',___ccc__0076__SeeComRules);
___ccc__0077__ConnexAreadyInUse       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0077',___ccc__0077__ConnexAreadyInUse);
___ccc__0078__ReceivingData           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0078',___ccc__0078__ReceivingData);
___ccc__0079__ConnectionError         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0079',___ccc__0079__ConnectionError);
___ccc__0080__CheckYourInternet       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0080',___ccc__0080__CheckYourInternet);
___ccc__0081__XocDeleted              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0081',___ccc__0081__XocDeleted);
___ccc__0082__3CharsAtMinimum         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0082',___ccc__0082__3CharsAtMinimum);
___ccc__0083__ComDisabledDL           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0083',___ccc__0083__ComDisabledDL);
___ccc__0084__OnlyMemebersCanDL       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0084',___ccc__0084__OnlyMemebersCanDL);
___ccc__0085__SorryXocIsPrivate       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0085',___ccc__0085__SorryXocIsPrivate);
___ccc__0086__OnlyMembersHasAccess    :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0086',___ccc__0086__OnlyMembersHasAccess);
___ccc__0087__SureToDelXoc            :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0087',___ccc__0087__SureToDelXoc);
___ccc__0088__InvalidXoc              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0088',___ccc__0088__InvalidXoc);
___ccc__0089__SorryPrivateDL          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0089',___ccc__0089__SorryPrivateDL);
___ccc__0090__Connecting2FileServer   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0090',___ccc__0090__Connecting2FileServer);
___ccc__0091__ConnectOkInitalization  :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0091',___ccc__0091__ConnectOkInitalization);
___ccc__0092__Downloading             :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0092',___ccc__0092__Downloading);
___ccc__0093__DownloadAborted         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0093',___ccc__0093__DownloadAborted);
___ccc__0094__DownloadCompleted       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0094',___ccc__0094__DownloadCompleted);
___ccc__0095__GeneratedXOCLinks       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0095',___ccc__0095__GeneratedXOCLinks);
___ccc__0096__GeneratedHtmlXOCLinks   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0096',___ccc__0096__GeneratedHtmlXOCLinks);
___ccc__0097__XocInfoAddedOk          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0097',___ccc__0097__XocInfoAddedOk);
___ccc__0098__OffLineFromCom          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0098',___ccc__0098__OffLineFromCom);
___ccc__0099__RemoteXtraNotSet        :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0099',___ccc__0099__RemoteXtraNotSet);
___ccc__0100__UserOnlineAtCom         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0100',___ccc__0100__UserOnlineAtCom);
___ccc__0101__BannedRejected          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0101',___ccc__0101__BannedRejected);
___ccc__0102__LanUserRejected         :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0102',___ccc__0102__LanUserRejected);
___ccc__0103__XtraFolder4UserNotSet   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0103',___ccc__0103__XtraFolder4UserNotSet);
___ccc__0104__XtraFolderNotAllowed4   :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0104',___ccc__0104__XtraFolderNotAllowed4);
___ccc__0105__FileAutoAccepted        :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0105',___ccc__0105__FileAutoAccepted);
___ccc__0106__ThanksToUsingExoSee     :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0106',___ccc__0106__ThanksToUsingExoSee);
___ccc__0107__OpenThisFolder          :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0107',___ccc__0107__OpenThisFolder);
___ccc__0108__SureWantToBan           :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0108',___ccc__0108__SureWantToBan);
___ccc__0109__BanOkAtCom              :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0109',___ccc__0109__BanOkAtCom);
___ccc__0110__SureWantToBanUser       :=ini.ReadString(_LANGUAGE_MESSAGES_SECTION,'LMSSG__0110',___ccc__0110__SureWantToBanUser);


//-----------------------Controls---------------------------
___ccc__0400__Start                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0400',___ccc__0400__Start);
___ccc__0401__Settings                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0401',___ccc__0401__Settings);
___ccc__0402__OpenMyDlFolder          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0402',___ccc__0402__OpenMyDlFolder);
___ccc__0403__MyOnlineStatus          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0403',___ccc__0403__MyOnlineStatus);
___ccc__0404__Cancel                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0404',___ccc__0404__Cancel);
___ccc__0405__Stop                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0405',___ccc__0405__Stop);
___ccc__0406__SetAwayMsg              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0406',___ccc__0406__SetAwayMsg);
___ccc__0407__Tools                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0407',___ccc__0407__Tools);
___ccc__0408__Help                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0408',___ccc__0408__Help);
___ccc__0409__OnlineHelp              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0409',___ccc__0409__OnlineHelp);
___ccc__0410__ExoSeeHomepage          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0410',___ccc__0410__ExoSeeHomepage);
___ccc__0411__XOChomepage             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0411',___ccc__0411__XOChomepage);
___ccc__0412__SupportForum            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0412',___ccc__0412__SupportForum);
___ccc__0413__About                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0413',___ccc__0413__About);
___ccc__0414__Exit                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0414',___ccc__0414__Exit);
___ccc__0415__Resume                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0415',___ccc__0415__Resume);
___ccc__0416__XocInfo                 :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0416',___ccc__0416__XocInfo);
___ccc__0417__DelComXOC               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0417',___ccc__0417__DelComXOC);
___ccc__0418__GenerateXOCLinks        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0418',___ccc__0418__GenerateXOCLinks);
___ccc__0419__All                     :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0419',___ccc__0419__All);
___ccc__0420__OpenComIE               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0420',___ccc__0420__OpenComIE);
___ccc__0421__CloseWeb                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0421',___ccc__0421__CloseWeb);
___ccc__0422__IconsHelp               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0422',___ccc__0422__IconsHelp);



___ccc__0500__File                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0500',___ccc__0500__File);
___ccc__0501__Explorer                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0501',___ccc__0501__Explorer);
___ccc__0502__Traffic                 :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0502',___ccc__0502__Traffic);
___ccc__0503__ComsOnline              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0503',___ccc__0503__ComsOnline);
___ccc__0504__Log                     :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0504',___ccc__0504__Log);
___ccc__0505__RULES                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0505',___ccc__0505__RULES);
___ccc__0506__DesAddCom               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0506',___ccc__0506__DesAddCom);
___ccc__0507__DesDelCom               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0507',___ccc__0507__DesDelCom);
___ccc__0508__DesComProps             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0508',___ccc__0508__DesComProps);
___ccc__0509__DesPubComs              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0509',___ccc__0509__DesPubComs);
___ccc__0510__FolderAndFilename       :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0510',___ccc__0510__FolderAndFilename);
___ccc__0511__Size                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0511',___ccc__0511__Size);
___ccc__0512__Filename                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0512',___ccc__0512__Filename);
___ccc__0513__ReadAndSent             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0513',___ccc__0513__ReadAndSent);
___ccc__0514__Speed                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0514',___ccc__0514__Speed);
___ccc__0515__User                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0515',___ccc__0515__User);
___ccc__0516__Status                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0516',___ccc__0516__Status);
___ccc__0517__General                 :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0517',___ccc__0517__General);
___ccc__0518__UserInfo                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0518',___ccc__0518__UserInfo);
___ccc__0519__SharedFolders           :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0519',___ccc__0519__SharedFolders);
___ccc__0520__PrivateFolders          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0520',___ccc__0520__PrivateFolders);
___ccc__0521__FavoritesOptions        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0521',___ccc__0521__FavoritesOptions);
___ccc__0522__XOCdbLinks              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0522',___ccc__0522__XOCdbLinks);
___ccc__0523__FavNickname             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0523',___ccc__0523__FavNickname);
___ccc__0524__Category                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0524',___ccc__0524__Category);
___ccc__0525__Home                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0525',___ccc__0525__Home);
___ccc__0526__Web                     :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0526',___ccc__0526__Web);
___ccc__0527__Forum                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0527',___ccc__0527__Forum);
___ccc__0528__ChatBox                 :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0528',___ccc__0528__ChatBox);
___ccc__0529__AutoAddComs             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0529',___ccc__0529__AutoAddComs);
___ccc__0530__NewVersionAvailable     :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0530',___ccc__0530__NewVersionAvailable);
___ccc__0531__WelcomeToExoSee         :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0531',___ccc__0531__WelcomeToExoSee);
___ccc__0532__NicknameChars           :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0532',___ccc__0532__NicknameChars);
___ccc__0533__SetUpShareFolder        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0533',___ccc__0533__SetUpShareFolder);
___ccc__0534__Save                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0534',___ccc__0534__Save);
___ccc__0535__PersonalMessage         :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0535',___ccc__0535__PersonalMessage);
___ccc__0536__MsgWhenNotOnline4Chat   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0536',___ccc__0536__MsgWhenNotOnline4Chat);
___ccc__0537__Remove                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0537',___ccc__0537__Remove);
___ccc__0538__AddFolder               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0538',___ccc__0538__AddFolder);
___ccc__0539__LocalSharedFolders      :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0539',___ccc__0539__LocalSharedFolders);
___ccc__0540__PubFoldersDescription   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0540',___ccc__0540__PubFoldersDescription);
___ccc__0541__MaxTotalUploads         :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0541',___ccc__0541__MaxTotalUploads);
___ccc__0542__LocalPrivFolders        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0542',___ccc__0542__LocalPrivFolders);
___ccc__0543__PrivFoldersDescription  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0543',___ccc__0543__PrivFoldersDescription);
___ccc__0544__XtraFoldersDescription  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0544',___ccc__0544__XtraFoldersDescription);
___ccc__0545__CanAccessPrivs          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0545',___ccc__0545__CanAccessPrivs);
___ccc__0546__CanSendNoConfirm        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0546',___ccc__0546__CanSendNoConfirm);
___ccc__0547__HasXtraFolder           :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0547',___ccc__0547__HasXtraFolder);
___ccc__0548__XtraFolder              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0548',___ccc__0548__XtraFolder);
___ccc__0549__ExoSeeSettings          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0549',___ccc__0549__ExoSeeSettings);
___ccc__0550__EnableWebXOCLinks       :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0550',___ccc__0550__EnableWebXOCLinks);
___ccc__0551__BehindRouter            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0551',___ccc__0551__BehindRouter);
___ccc__0552__AutoRejectLans          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0552',___ccc__0552__AutoRejectLans);
___ccc__0553__ExpandSubFolders        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0553',___ccc__0553__ExpandSubFolders);
___ccc__0554__MyDlFolder              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0554',___ccc__0554__MyDlFolder);
___ccc__0555__ComsStart               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0555',___ccc__0555__ComsStart);
___ccc__0556__AddCom                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0556',___ccc__0556__AddCom);
___ccc__0557__DelCom                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0557',___ccc__0557__DelCom);
___ccc__0558__Add                     :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0558',___ccc__0558__Add);
___ccc__0559__UpdateList              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0559',___ccc__0559__UpdateList);
___ccc__0560__Start                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0560',___ccc__0560__Start);
___ccc__0561__Search                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0561',___ccc__0561__Search);
___ccc__0562__Browse                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0562',___ccc__0562__Browse);
___ccc__0563__AddXOC                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0563',___ccc__0563__AddXOC);
___ccc__0564__Welcome1                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0564',___ccc__0564__Welcome1);
___ccc__0565__ComLinks                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0565',___ccc__0565__ComLinks);
___ccc__0566__DbRecords               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0566',___ccc__0566__DbRecords);
___ccc__0567__Cancel                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0567',___ccc__0567__Cancel);
___ccc__0568__AddXocInfoToCom         :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0568',___ccc__0568__AddXocInfoToCom);
___ccc__0569__FileDownload            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0569',___ccc__0569__FileDownload);
___ccc__0570__Filename2               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0570',___ccc__0570__Filename2);
___ccc__0571__Size2                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0571',___ccc__0571__Size2);
___ccc__0572__Category2               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0572',___ccc__0572__Category2);
___ccc__0573__Description2            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0573',___ccc__0573__Description2);
___ccc__0574__FileHttpURL             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0574',___ccc__0574__FileHttpURL);
___ccc__0575__AddMyNick               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0575',___ccc__0575__AddMyNick);
___ccc__0576__Sent2                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0576',___ccc__0576__Sent2);
___ccc__0577__Read2                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0577',___ccc__0577__Read2);
___ccc__0578__Speed                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0578',___ccc__0578__Speed);
___ccc__0579__TimeLeft2               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0579',___ccc__0579__TimeLeft2);
___ccc__0580__Progress2               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0580',___ccc__0580__Progress2);
___ccc__0581__RunFile                 :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0581',___ccc__0581__RunFile);
___ccc__0582__OpenFolder              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0582',___ccc__0582__OpenFolder);
___ccc__0583__FileSendTo              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0583',___ccc__0583__FileSendTo);
___ccc__0584__FileDownloadFrom        :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0584',___ccc__0584__FileDownloadFrom);
___ccc__0585__From2                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0585',___ccc__0585__From2);
___ccc__0586__DoYouAccept2            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0586',___ccc__0586__DoYouAccept2);
___ccc__0587__Accept                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0587',___ccc__0587__Accept);
___ccc__0588__Deny                    :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0588',___ccc__0588__Deny);
___ccc__0589__AutoDenyAfter           :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0589',___ccc__0589__AutoDenyAfter);
___ccc__0590__Rules2                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0590',___ccc__0590__Rules2);
___ccc__0591__LoginPassword2          :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0591',___ccc__0591__LoginPassword2);
___ccc__0592__AllowComWeb             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0592',___ccc__0592__AllowComWeb);
___ccc__0593__AddedOn2                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0593',___ccc__0593__AddedOn2);
___ccc__0594__AddedBy2                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0594',___ccc__0594__AddedBy2);
___ccc__0595__XOCLink2                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0595',___ccc__0595__XOCLink2);
___ccc__0596__Download2               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0596',___ccc__0596__Download2);
___ccc__0597__AddBR                   :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0597',___ccc__0597__AddBR);
___ccc__0598__AddDescTitle            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0598',___ccc__0598__AddDescTitle);
___ccc__0599__Generate                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0599',___ccc__0599__Generate);
___ccc__0600__XOCDownloader           :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0600',___ccc__0600__XOCDownloader);
___ccc__0601__ContentType2            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0601',___ccc__0601__ContentType2);
___ccc__0602__ServerName2             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0602',___ccc__0602__ServerName2);
___ccc__0603__DownloadFolder2         :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0603',___ccc__0603__DownloadFolder2);
___ccc__0604__Percent2                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0604',___ccc__0604__Percent2);
___ccc__0605__XOCDownload             :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0605',___ccc__0605__XOCDownload);
___ccc__0606__DLsULs                  :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0606',___ccc__0606__DLsULs);
___ccc__0607__CompletedDLs            :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0607',___ccc__0607__CompletedDLs);

___ccc__0608__Des_Xoc1                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0608',___ccc__0608__Des_Xoc1);
___ccc__0609__Des_Xoc2                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0609',___ccc__0609__Des_Xoc2);
___ccc__0610__Des_Xoc3                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0610',___ccc__0610__Des_Xoc3);
___ccc__0611__Des_Xoc4                :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0611',___ccc__0611__Des_Xoc4);
___ccc__0612__NewVersNotify           :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0612',___ccc__0612__NewVersNotify);
___ccc__0613__ChooseIcon              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0613',___ccc__0613__ChooseIcon);
___ccc__0614__MaxComs                 :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0614',___ccc__0614__MaxComs);


___ccc__0615__IconHLP_0               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0615',___ccc__0615__IconHLP_0);
___ccc__0616__IconHLP_1               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0616',___ccc__0616__IconHLP_1);
___ccc__0617__IconHLP_2               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0617',___ccc__0617__IconHLP_2);
___ccc__0618__IconHLP_3               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0618',___ccc__0618__IconHLP_3);
___ccc__0619__IconHLP_4               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0619',___ccc__0619__IconHLP_4);
___ccc__0620__IconHLP_5               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0620',___ccc__0620__IconHLP_5);
___ccc__0621__IconHLP_6               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0621',___ccc__0621__IconHLP_6);
___ccc__0622__IconHLP_7               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0622',___ccc__0622__IconHLP_7);
___ccc__0623__IconHLP_8               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0623',___ccc__0623__IconHLP_8);
___ccc__0624__IconHLP_9               :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0624',___ccc__0624__IconHLP_9);
___ccc__0625__IconHLP_10              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0625',___ccc__0625__IconHLP_10);
___ccc__0626__IconHLP_11              :=ini.ReadString(_LANGUAGE_CONTOLS_SECTION ,'LCTRL__0626',___ccc__0626__IconHLP_11);




finally ini.Free; end;

end;


end.
