unit _uf_rcvFile;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, shellapi, xocLabel, ComCtrls;

type
  T_FRcvFile = class(TForm)
    tm_accept: TTimer;
    TMkbs: TTimer;
    _Panel_CONFIRM: TPanel;
    AA_0586_ask: TLabel;
    AA_0585_vv1: TLabel;
    AA_0571_Label4: TLabel;
    ee1: TLabel;
    ee2: TLabel;
    ee3: TLabel;
    AA_0589_Label9: TLabel;
    Label10: TLabel;
    sec: TLabel;
    gg: TImage;
    ckbs: TLabel;
    AA_0571_Label2: TLabel;
    AA_0577_Label3: TLabel;
    AA_0578_Label4: TLabel;
    cread: TLabel;
    csiz: TLabel;
    pers: TLabel;
    AA_0580_Label1: TLabel;
    AA_0579_Label5: TLabel;
    tmrest: TLabel;
    Image3: TImage;
    Shape1: TShape;
    AA_0584_eCapFromUser: TExoSeeLabel;
    Image2: TImage;
    Image4: TImage;
    AA_0570_Label5: TLabel;
    zzRemoteFileName: TLabel;
    gress: TProgressBar;
    Shape2: TShape;
    AA_0569_canz: TButton;
    cpStat: TLabel;
    AA_0582_ww2: TButton;
    AA_0581_ww1: TButton;
    AA_0588_BtnDeny: TButton;
    AA_0587_BtnAccept: TButton;
    Shape3: TShape;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure AA_0569_canzClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure tm_acceptTimer(Sender: TObject);
    procedure TMkbsTimer(Sender: TObject);
    procedure AA_0588_BtnDenyClick(Sender: TObject);
    procedure AA_0587_BtnAcceptClick(Sender: TObject);
    procedure AA_0581_ww1Click(Sender: TObject);
    procedure AA_0582_ww2Click(Sender: TObject);
  private
      pair :Boolean;
  protected
  procedure CreateParams(var Params: TCreateParams); override;

  public
      Permission_OK :boolean;
      BytesRCV,BytesLAST :Int64;
      _otodw_timeA:string[20];
      _set_cancel:Boolean;
  end;

implementation

 uses unit1, _uc_funcs, _uc_refs_consts, _uc_refs_vars, _uc_GuiLanG;

{$R *.DFM}
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
procedure T_FRcvFile.CreateParams(var Params: TCreateParams);
begin

Inherited CreateParams(Params);
Params.WndParent := GetDesktopWindow;

end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.FormClose(Sender: TObject; var Action: TCloseAction);
begin
action:=caFree;
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
CanClose:=(Tag=5);
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.FormCreate(Sender: TObject);
begin

GoSetLANG(Self); //----- go loadLang --- if ok  (1st here)

Caption:='ExoSee - '+___ccc__0569__FileDownload;

_FXOC_MAIN._images.GetIcon(13,icon);
pair            :=false;
Permission_OK   :=false;
_set_cancel     :=false;

tm_accept.Tag   :=20; // set sure
BytesRCV:=0;
BytesLAST:=0;
_Panel_CONFIRM.Top:=72;

gg.Picture.Icon.Handle := LoadIcon(0, IDI_QUESTION);

end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.AA_0569_canzClick(Sender: TObject);
begin
if AA_0569_canz.Tag=0 then _set_cancel:=true
else begin
     //Tag:=5;
     Close;
     end;
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.FormActivate(Sender: TObject);
begin
update;
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.tm_acceptTimer(Sender: TObject);
begin

pair:=not pair;
flashwindow(handle, pair);

tm_accept.Tag:=tm_accept.Tag-1;
sec.Caption  :=inttostr(tm_accept.Tag);

if tm_accept.Tag=0 then begin
                        _FXOC_MAIN.TheLOGGER.Log(format(___ccc__0073__FileAutoDeniedFrom,[ee1.Caption,ee2.Caption])+ret,1);
                        tm_accept.Enabled:=false; // last here
                        end;

end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.TMkbsTimer(Sender: TObject);
var
kk:integer;
begin

kk:=BytesRCV - BytesLAST;
if kk<1 then exit;

//tmrest.Caption:=_time_left((gress.MaxValue - rcvBB) div kk);
ckbs.Caption :=_octos(kk)+'/s';  // kbs
BytesLAST    :=BytesRCV;

end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.AA_0588_BtnDenyClick(Sender: TObject);
begin
Permission_OK    :=false;
tm_accept.Enabled:=false;
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.AA_0587_BtnAcceptClick(Sender: TObject);
begin
Permission_OK      :=true;
tm_accept.Enabled  :=false;
_Panel_CONFIRM.Visible :=false; // hide_panel
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.AA_0581_ww1Click(Sender: TObject);
begin
ShellExecute(0,'open',pchar(AA_0581_ww1.Hint),nil,nil,SW_SHOWNORMAL);
Close;
end;

//------------------------------------------------------------------------------
procedure T_FRcvFile.AA_0582_ww2Click(Sender: TObject);
begin
ShellExecute(0,'explore',pchar(_VV_LOCAL_CONFIG_THE_DOWNLOADS_FOLDER+'Completed'),nil,nil,SW_SHOWNORMAL);
Close;
end;

end.
