unit _uf_web_model;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, xocStatusBar, ToolWin, ExtCtrls, StdCtrls,xocButton, Buttons,
  xocCButton, Menus,ShellApi, EmbeddedWB, SHDocVw_TLB,OleCtrls;

type
  T_FrameWEB = class(TFrame)
    eStatsTOP: TPanel;
    xocCButton1: TxocCButton;
    Shape1: TShape;
    StatLabelTitle: TLabel;
    Shape2: TShape;
    PaneLBTM: TPanel;
    Shape3: TShape;
    Progry: TProgressBar;
    ebStat: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    PanelHolder: TPanel;
    _pnnWeb: TPanel;
    _eweb: TEmbeddedWB;
    _pnnChat: TPanel;
    _eChat: TEmbeddedWB;
    uuuWeber: TxocCButton;
    uuuChater: TxocCButton;
    ppCOMM: TPopupMenu;
    AA_0420_OpenPage1: TMenuItem;
    AA_0421_CloseComWeb1: TMenuItem;
    N1: TMenuItem;
    AA_0422_Properties1: TMenuItem;
    procedure _ewebStatusTextChange(Sender: TObject; const Text: WideString);
    procedure eWebsStatsResize(Sender: TObject);
    procedure _ewebDownloadComplete(Sender: TObject);
    procedure _ewebDownloadBegin(Sender: TObject);
    procedure _ewebTitleChange(Sender: TObject; const Text: WideString);
    procedure _ewebProgressChange(Sender: TObject; Progress, ProgressMax: Integer);
    procedure zzCloserClick(Sender: TObject);
    procedure btngoReleaseClick(Sender: TObject);
    procedure _ewebBeforeNavigate2(Sender: TObject; const pDisp: IDispatch;
      var URL, Flags, TargetFrameName, PostData, Headers: OleVariant;
      var Cancel: WordBool);
    procedure uuuWeberClick(Sender: TObject);
    procedure uuuChaterClick(Sender: TObject);
    procedure AA_0422_Properties1Click(Sender: TObject);
    procedure AA_0420_OpenPage1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    sComChatURL : string;
    sComWebURL : string;
  end;

implementation

uses Unit1, _uc_funcs, _uc_refs_vars, _uf_ComProps, _uc_GuiLanG;

{$R *.DFM}



//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
procedure T_FrameWEB._ewebStatusTextChange(Sender: TObject; const Text: WideString);
begin
ebStat.Caption:=Text;
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.eWebsStatsResize(Sender: TObject);
begin
if TStatusBar(Sender).HandleAllocated then InvalidateRect(TStatusBar(Sender).Handle, nil, True);
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB._ewebDownloadComplete(Sender: TObject);
begin
Progry.Visible:=false;
ebStat.Left:=1;
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB._ewebDownloadBegin(Sender: TObject);
begin
ebStat.Left:=184;
Progry.Visible:=true;
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB._ewebTitleChange(Sender: TObject; const Text: WideString);
begin
StatLabelTitle.Caption:=Text;
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB._ewebProgressChange(Sender: TObject; Progress, ProgressMax: Integer);
begin
Progry.Max:=ProgressMax;
Progry.Position:=Progress;
//eStaTOP.Panels[0].Text:=format('Loading ... %d',[_percenty(Progress,ProgressMax)]);
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.zzCloserClick(Sender: TObject);
begin
btngoReleaseClick(nil);
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.btngoReleaseClick(Sender: TObject);
var
str:string;
begin


str:=Hint;
_FXOC_MAIN.TMcomWebKIKer.kwd_id:=str;
_FXOC_MAIN.TMcomWebKIKer.Interval:=80;
_FXOC_MAIN.TMcomWebKIKer.Enabled:=true;

end;

//------------------------------------------------------------------------------
procedure T_FrameWEB._ewebBeforeNavigate2(Sender: TObject;
  const pDisp: IDispatch; var URL, Flags, TargetFrameName, PostData,
  Headers: OleVariant; var Cancel: WordBool);
begin
Cancel:=_THE_EXOSEE_APPLICATION_IS_TERMINATED;
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.uuuWeberClick(Sender: TObject);
begin
_pnnWeb.BringToFront;
end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.uuuChaterClick(Sender: TObject);
begin
_pnnChat.BringToFront;

  if (_pnnChat.Tag=0) then
  begin
  _pnnChat.Tag:=1;
  _eChat.Navigate(sComChatURL);
  end;

end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.AA_0422_Properties1Click(Sender: TObject);
var
i:Integer;
NxDD:TTreeNode;
begin

NxDD:=nil;

    for i:=0 to _TV_NODE_OF_COMMUNITIES.Count-1 do
    if (_TV_NODE_OF_COMMUNITIES.Item[i].Text=Hint) then
    begin
    NxDD:=_TV_NODE_OF_COMMUNITIES.Item[i];
    Break;
    end;

if(NxDD=nil) then exit;

_FCOM_PROPS:=T_FCOM_PROPS.Create(Application);
_FCOM_PROPS.vND:=NxDD;
_FCOM_PROPS.ShowModal;


end;

//------------------------------------------------------------------------------
procedure T_FrameWEB.AA_0420_OpenPage1Click(Sender: TObject);
begin
ShellExecute(0,'open',pchar(sComWebURL),nil,nil,SW_SHOWNORMAL);
end;

end.
