unit _uf_xoc_html_gen;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,ComCtrls,
  StdCtrls, ExtCtrls;

type
  T_FXOC_HTML_GEN = class(TForm)
    Shape2: TShape;
    Shape1: TShape;
    AA_0600_btnCloz: TButton;
    Label1: TLabel;
    AA_0599_btnGen: TButton;
    AA_0598_ccAddTitleDesc: TCheckBox;
    AA_0597_ccAddBR: TCheckBox;
    rcc: TMemo;
    stat: TLabel;
    Image1: TImage;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure AA_0600_btnClozClick(Sender: TObject);
    procedure AA_0599_btnGenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
   ZunderVV : TListView;
   sComFullURL:string;
  end;



implementation

uses _uc_refs_consts, _uc_GuiLanG, _uc_funcs;

{$R *.DFM}

//------------------------------------------------------------------------------
procedure T_FXOC_HTML_GEN.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:=caFree;
end;

//------------------------------------------------------------------------------
procedure T_FXOC_HTML_GEN.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
CanClose:=(tag=1);
end;

//------------------------------------------------------------------------------
procedure T_FXOC_HTML_GEN.AA_0600_btnClozClick(Sender: TObject);
begin
close;
end;

//------------------------------------------------------------------------------
procedure T_FXOC_HTML_GEN.AA_0599_btnGenClick(Sender: TObject);
var
i:Integer;
s,z,sDesc,sBR:string;
xx:TStringList;
begin

tag:=0;

rcc.Lines.Clear;
Application.ProcessMessages;
rcc.Lines.Add(ret+___ccc__0095__GeneratedXOCLinks+ret+sep+ret);

Update;
AA_0600_btnCloz.Enabled:=false;
AA_0599_btnGen.Enabled:=false;
xx:=TStringList.Create;
try

  for i:=0 to ZunderVV.Items.Count-1 do
  begin
   // xoc building

   sDesc:='';
   sBR:='';
   s:=IntToHex(ZunderVV.Items[i].itm_int1+687,0);
   z:=LowerCase(sComFullURL)+'FC7A82EC'+s+'/'+ZunderVV.Items[i].Caption;
   z:=StringReplace(z,'http://','xoc://',[]);

   rcc.Lines.Add(z);


   if (AA_0598_ccAddTitleDesc.Checked) then sDesc:=' TITLE="'+ZunderVV.Items[i].itm_str2+'"';
   if (AA_0597_ccAddBR.Checked) then sBR:=' <BR />';

   s:=ZunderVV.Items[i].Caption;
   z:=format('<A HREF="%s"%s>%s</A>%s',[z,sDesc,s,sBR]);
   xx.Add(z);

  stat.Caption:=z;
  stat.Update;
  Application.ProcessMessages;
  sleep(50);
  end;

rcc.Lines.Add(ret+ret+ret+___ccc__0096__GeneratedHtmlXOCLinks+ret+sep+ret);
rcc.Lines.Add(xx.Text);


finally
xx.Free; 
tag:=1;
AA_0600_btnCloz.Enabled:=true;
AA_0599_btnGen.Enabled:=true;
stat.Caption:='.';
end;


end;

//------------------------------------------------------------------------------
procedure T_FXOC_HTML_GEN.FormCreate(Sender: TObject);
begin
GoSetLANG(Self); //----- go loadLang --- if ok  (1st here)
Caption:='ExoSee - '+___ccc__0418__GenerateXOCLinks;
tag:=1;
end;

end.
