unit xocTreeView;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,ComCtrls;

type


  Tdo_hint_Event = procedure(Sender: TObject; Item: TTreeNode; var Info: string) of object; // chag ++

  TxocTreeView = class(TTreeView)

  private
    F_extra_file:string;
    FOn_Tip: Tdo_hint_Event; //chag++

    procedure CMHintShow(var Message: TMessage); message CM_HINTSHOW; // chag ++
  protected
    procedure WMDropFiles(var Msg: TWMDropFiles); message WM_DROPFILES;
    procedure Do_Tip(Item: TTreeNode; var Info: string);  // chag

  published
    property On_Tip: Tdo_hint_Event read FOn_Tip write FOn_Tip; // chag

  public
  property _extra_file: string read F_extra_file write F_extra_file; // chag

  end;

procedure Register;

implementation
uses shellapi;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
procedure TxocTreeView.WMDropFiles(var Msg: TWMDropFiles);
var
S: string;
begin

inherited;

  if (DragQueryFile(Msg.Drop,$FFFFFFFF,nil,0)=1)and(Selected<>nil) then
   begin
   DragAcceptFiles(handle,true);
   SetLength(S, DragQueryFile(Msg.Drop, 0, nil, 0)+1);
   DragQueryFile(Msg.Drop, 0, PChar(S), Length(S));
   DragFinish(Msg.Drop);
   _extra_file:=s;
   SendMessage(handle,WM_CHAR,cardinal('$'),0);
   end;


end;

//------------------------------------------------------------------------------

procedure TxocTreeView.Do_Tip(Item: TTreeNode; var Info: string);   // chag ++
begin
  if Assigned(FOn_Tip) then FOn_Tip(Self, Item, Info);
end;

//------------------------------------------------------------------------------
procedure TxocTreeView.CMHintShow(var Message: TMessage);
var
  Item: TTreeNode;
  ItemRect: TRect;
  InfoTip: string;
begin


  if Assigned(FOn_Tip) then
    with TCMHintShow(Message) do
    begin
      Item :=GetNodeAt(HintInfo.CursorPos.X, HintInfo.CursorPos.Y);
      if Item <> nil then
      begin
        InfoTip := Item.Text;
        Do_Tip(Item, InfoTip); //chag
        ItemRect := Item.DisplayRect(true);
        ItemRect.TopLeft := ClientToScreen(ItemRect.TopLeft);
        ItemRect.BottomRight := ClientToScreen(ItemRect.BottomRight);
        with HintInfo^ do
        begin
          HintInfo.CursorRect := ItemRect;
          HintInfo.HintStr := InfoTip;
          HintPos.Y := CursorRect.Top + GetSystemMetrics(SM_CYCURSOR);
          HintPos.X := CursorRect.Left + GetSystemMetrics(SM_CXCURSOR);  //++
          HintInfo.HintMaxWidth :=ClientWidth;
          //HintInfo.HintColor:=color;
          HintInfo.HideTimeout:=15000;  //++ 15 sec
          Message.Result := 0;
        end
      end;
    end
  else  inherited;

end;


//------------------------------------------------------------------------------
procedure Register;
begin
  RegisterComponents('Vcl++', [TxocTreeView]);
end;

end.
