unit _uf_xoc_item_info;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, xocButton,ComCtrls, StdCtrls, xocCButton, _uf_xoc_model;

type
  T_FXocITEM_INFO = class(TForm)
    AA_0596_xocBtnGo: TxocButton;
    Image2: TImage;
    Image1: TImage;
    AA_0570_Label5: TLabel;
    ee1: TLabel;
    AA_0571_Label2: TLabel;
    ee2: TLabel;
    AA_0572_Label4: TLabel;
    ee3: TLabel;
    AA_0593_Label8: TLabel;
    ee4a: TLabel;
    AA_0595_Label10: TLabel;
    AA_0573_Label5: TLabel;
    ee6: TLabel;
    ee5: TEdit;
    Shape2: TShape;
    Shape3: TShape;
    AA_0594_Label3: TLabel;
    ee4b: TLabel;
    Button1: TButton;
    Image3: TImage;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure clozoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure AA_0596_xocBtnGoClick(Sender: TObject);
    procedure CapMouseMove(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure Image1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    sXosDownloadURL : String;
  public
    _ComNODA : TTreeNode;
    _XocItem : TListItem;
    ThexocFRAME : T_FrameXOC;
  end;



implementation

uses _uc_ip_codecs, _uf_xoc_downloader, _uc_refs_vars, Unit1,
  _uc_refs_consts, _uc_funcs, _uc_GuiLanG;

{$R *.DFM}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.FormClose(Sender: TObject;var Action: TCloseAction);
begin
Action:=caFree;
end;

//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.clozoClick(Sender: TObject);
begin
Close;
end;

//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.FormShow(Sender: TObject);
var
s,z:string;
begin

Left:=Left+80;
top:=top+40;


   // xoc build
   s:=IntToHex(_XocItem.itm_int1+687,0);
   z:=LowerCase(_ComNODA._EXO_NODE_COM_IDX)+'FC7A82EC'+s+'/'+_XocItem.Caption;
   z:=StringReplace(z,'http://','xoc://',[]);


ee1.Caption:=_XocItem.Caption;
ee2.Caption:=_XocItem.SubItems[0];
ee3.Caption:=_XocItem.SubItems[1];
ee4a.Caption:=_XocItem.sava_f;
ee4b.Caption:=_XocItem.dl_path;
ee5.Text   :=z;
ee6.Caption:=_XocItem.itm_str2;

// the real url Decoded now !
sXosDownloadURL:=TIpCodecs._DeCodeTheHEXStringV2(_XocItem.itm_str1);

end;

//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.AA_0596_xocBtnGoClick(Sender: TObject);
var
s,z:string;
begin


if (not (ThexocFRAME.USER_LOCAL_IS_ADMINISTRATOR or ThexocFRAME.USER_LOCAL_IS_MODERATOR)) and
   (_ComNODA._EXO_NODE_20BOOLS[2]<>'1') then   // xoc-Download disabled
begin
ShowMessage(_ComNODA.Text+' '+___ccc__0083__ComDisabledDL+ret+
            ___ccc__0084__OnlyMemebersCanDL+ret+ret+
            ___ccc__0076__SeeComRules);
exit;
end;


if (_XocItem.ImageIndex=1) then  // image red = Private-XOC ( already verified )
begin
ShowMessage(___ccc__0085__SorryXocIsPrivate+ret+___ccc__0086__OnlyMembersHasAccess+ret+ret+
            ___ccc__0076__SeeComRules);
exit;
end;



        // go trigger dL
        // xoc build
        s:=IntToHex(_XocItem.itm_int1+687,0);
        z:=LowerCase(_ComNODA._EXO_NODE_COM_IDX)+'FC7A82EC'+s+'/'+_XocItem.Caption;
        z:=StringReplace(z,'http://','xoc://',[]);

        ThexocFRAME.TmGoTriggerDL.kwd_id:=z; // xoc link full
        ThexocFRAME.TmGoTriggerDL.Interval:=100;
        ThexocFRAME.TmGoTriggerDL.Enabled:=true;


        


Close;

(*
_FXOC_DOWNLOADER:=T_FXOC_DOWNLOADER.Create(Application);
_FXOC_DOWNLOADER.__FILE_NAME:=_XocItem.Caption;
_FXOC_DOWNLOADER.__FILE_SIZE:=_XocItem.SubItems[0];
_FXOC_DOWNLOADER.__LOCAL_DOWNLOAD_FOLDER:=_VV_LOCAL_CONFIG_THE_DOWNLOADS_FOLDER;

_FXOC_DOWNLOADER.__REAL_FULL_DOWNLOAD_URL:=sXosDownloadURL;
_FXOC_DOWNLOADER.Show;  // normal show as will be in tasbar

*)


end;

//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.CapMouseMove(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ReleaseCapture;
perform(WM_SYSCOMMAND, $F012, 0);
end;

//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.Image1DblClick(Sender: TObject);
begin
//_DoDebugLOG(sXosDownloadURL);
end;

//------------------------------------------------------------------------------
procedure T_FXocITEM_INFO.FormCreate(Sender: TObject);
begin
GoSetLANG(Self); //----- go loadLang --- if ok  (1st here)
end;

end.
